﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Expressions;
using System.Web;

namespace DataControlsInMVC
{
    public static class OrderByExtension
    {
        public static IQueryable<TSource> OrderByWithDirection<TSource, TKey>(this IQueryable<TSource> source, Expression<Func<TSource, TKey>> key,string direction)
        {
            if (direction == "desc")
            {
                source=source.OrderByDescending(key);
            }
            else
            {
                source=source.OrderBy(key);
            }
            return source;
        }

    }
}